summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergei Trofimovich <slyfox@gentoo.org>2016-01-16 19:26:27 +0000
committerSergei Trofimovich <slyfox@gentoo.org>2016-01-16 19:42:39 +0000
commit7ccebf342daf09fa919595b4a15fcd902b4f5141 (patch)
tree001ae6e2836600644a8e2118c9a398f58df2078d /dev-haskell/uuid-types
parentdev-haskell/uuid: allow hunit-1.3 (diff)
downloadgentoo-7ccebf342daf09fa919595b4a15fcd902b4f5141.tar.gz
gentoo-7ccebf342daf09fa919595b4a15fcd902b4f5141.tar.bz2
gentoo-7ccebf342daf09fa919595b4a15fcd902b4f5141.zip
dev-haskell/uuid-types: allow hunit-1.3
Package-Manager: portage-2.2.26
Diffstat (limited to 'dev-haskell/uuid-types')
-rw-r--r--dev-haskell/uuid-types/uuid-types-1.0.2-r2.ebuild41
1 files changed, 41 insertions, 0 deletions
diff --git a/dev-haskell/uuid-types/uuid-types-1.0.2-r2.ebuild b/dev-haskell/uuid-types/uuid-types-1.0.2-r2.ebuild
new file mode 100644
index 00000000000..7d2d6de738e
--- /dev/null
+++ b/dev-haskell/uuid-types/uuid-types-1.0.2-r2.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+# ebuild generated by hackport 0.4.5.9999
+
+CABAL_FEATURES="lib profile haddock hoogle hscolour test-suite"
+inherit haskell-cabal
+
+DESCRIPTION="Type definitions for Universally Unique Identifiers"
+HOMEPAGE="https://github.com/aslatter/uuid"
+SRC_URI="mirror://hackage/packages/archive/${PN}/${PV}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=">=dev-haskell/binary-0.4:=[profile?] <dev-haskell/binary-0.8:=[profile?]
+ >=dev-haskell/random-1.0.1:=[profile?] <dev-haskell/random-1.2:=[profile?]
+ >=dev-haskell/text-1:=[profile?] <dev-haskell/text-1.3:=[profile?]
+ >=dev-lang/ghc-7.4.1:=
+ || ( ( >=dev-haskell/hashable-1.2.1:=[profile?] <dev-haskell/hashable-1.3:=[profile?] )
+ ( >=dev-haskell/hashable-1.1.1.0:=[profile?] <dev-haskell/hashable-1.2.0:=[profile?] ) )
+"
+DEPEND="${RDEPEND}
+ >=dev-haskell/cabal-1.8
+ test? ( >=dev-haskell/hunit-1.2
+ >=dev-haskell/quickcheck-2.4 <dev-haskell/quickcheck-2.9
+ >=dev-haskell/tasty-0.10
+ >=dev-haskell/tasty-hunit-0.9 <dev-haskell/tasty-hunit-0.10
+ >=dev-haskell/tasty-quickcheck-0.8 <dev-haskell/tasty-quickcheck-0.9 )
+"
+
+src_prepare() {
+ cabal_chdeps \
+ 'HUnit >=1.2 && < 1.3' 'HUnit >=1.2' \
+ 'tasty == 0.10.*' 'tasty >= 0.10'
+}